function y = lin_sf(x,a)
% y = lin_sf(x, a) generates a singularity function that is zero for x < a
% and varies like (x - a) for x > a. For a concentrated load P the bending
% moment is M = P*lin_sf(x,a) while for a uniform load w that starts at 
% x = a we have the shear force V = w*lin_sf(x,a).

y = (x -a).*(x > a);

