function y = quad_sf(x,a)
% y = quad_sf(x, a) generates a singularity function that is zero for x < a
% and varies like (x - a).^2 for x > a. For a uniform distributed load
% of intensity w lb/unit length that starts at x = a the bending moment 
% is M =(w/2)*quad_sf(x,a) while for a linearly increasing distributed load 
% whose slope is s lb/unit length^2 the shear force is 
% V = (s/2)*quad_sf(x,a).

y = ((x-a).^2).*(x >a);

