function y = step_sf(x,a)
% y = step_sf(x, a) generates a singularity function that is zero for x < a
% and is one for x > a. For a concentrated load P the shear
% force is V = P*step_sf(x,a) while for a clockwise concentated couple C
% we have the bending moment M = C*step_sf(x,a).

if x(1) == a       % if the step is located at the first point then let the
    y = (x>a);     % value at the first point be zero, otherwise
else               % let that value be unity. This allows MATLAB to plot
    y = (x>= a);   % the jump in the function properly.
end


